SOURCES: php-fcgi.init - display environment settings in "status" ...

glen glen at pld-linux.org
Wed Oct 3 11:29:06 CEST 2007


Author: glen                         Date: Wed Oct  3 09:29:06 2007 GMT
Module: SOURCES                       Tag: HEAD
---- Log message:
- display environment settings in "status" action

---- Files affected:
SOURCES:
   php-fcgi.init (1.19 -> 1.20) 

---- Diffs:

================================================================
Index: SOURCES/php-fcgi.init
diff -u SOURCES/php-fcgi.init:1.19 SOURCES/php-fcgi.init:1.20
--- SOURCES/php-fcgi.init:1.19	Fri Sep 14 17:07:01 2007
+++ SOURCES/php-fcgi.init	Wed Oct  3 11:29:01 2007
@@ -201,7 +201,20 @@
 	;;
 status)
 	status php-fcgi $PHP_FCGI_BINARY
-	exit $?
+	RETVAL=$?
+	echo "Configured settings:"
+	echo " PHP_FCGI_CHILDREN=$PHP_FCGI_CHILDREN"
+	echo " FCGI_WEB_SERVER_ADDRS=$FCGI_WEB_SERVER_ADDRS"
+	echo " PHP_FCGI_MAX_REQUESTS=$PHP_FCGI_MAX_REQUESTS"
+	pid=$(cat /var/run/php-fcgi.pid 2>/dev/null)
+	if [ -f "/proc/$pid/environ" ]; then
+		echo "Running settings:"
+		tr '\0' '\n' < /proc/$pid/environ | awk -F= '
+			$1 == "PHP_FCGI_CHILDREN" { print " "$0 }
+			$1 == "FCGI_WEB_SERVER_ADDRS" { print " "$0 }
+			$1 == "PHP_FCGI_MAX_REQUESTS" { print " "$0 }
+		'
+	fi
 	;;
 *)
 	msg_usage "$0 {start|stop|restart|force-reload|status}"
================================================================

---- CVS-web:
    http://cvs.pld-linux.org/cgi-bin/cvsweb.cgi/SOURCES/php-fcgi.init?r1=1.19&r2=1.20&f=u



More information about the pld-cvs-commit mailing list